Bug 197557 - databases/pgworksheet: Take MAINTAINER(ship) add LICENSE fix WWW
Summary: databases/pgworksheet: Take MAINTAINER(ship) add LICENSE fix WWW
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-12 04:01 UTC by Chris Hutchinson
Modified: 2015-02-26 17:21 UTC (History)
2 users (show)

See Also:


Attachments
svn diff that reflects the changes (1.15 KB, patch)
2015-02-12 04:01 UTC, Chris Hutchinson
no flags Details | Diff
session LOG reflecting the changes (12.54 KB, text/plain)
2015-02-12 04:02 UTC, Chris Hutchinson
no flags Details
modifications to original submission, as recommended by Kubilay Kocak (1.18 KB, patch)
2015-02-16 20:07 UTC, Chris Hutchinson
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-02-12 04:01:26 UTC
Created attachment 152890 [details]
svn diff that reflects the changes

I use pgworksheet, and noticed the WWW link was no
longer any good. As it appears that it's no longer
maintained upstream. I thought I'd like to keep it
current with the ports it works with - esp; the up
coming python3.
So this is a request for MAINTAINER.
Files Affected:

Makefile adds MAINTAINED LICENSE

pkg-descr - changes WWW

That's pretty much it, for now.

Next version will add the support of lang/python3.

Please find the svn diff, and a session log against
these changes, attached.

Thanks!
Comment 1 Chris Hutchinson 2015-02-12 04:02:21 UTC
Created attachment 152891 [details]
session LOG reflecting the changes
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-16 03:14:51 UTC
Thanks for your submission Christer,

Unless you're part of the upstream project for pgworksheet, I'm not sure the change added to pkg-descr is warranted. MAINTAINER=<email> already speaks to who the current maintainer is.

If you are indeed working with upstream, then it may be worth clarifying in pkg-descr that you are the 'port' maintainer, unless you intended something different.

Please update the patch accordingly, and if applicable.

Also, if a port is unmaintained, you can use the term "Take MAINTAINERship" rather than "Request" maintainership. The latter implies an existing maintainer, and requires approval. The person committing the change should check for approval in any case.
Comment 3 Chris Hutchinson 2015-02-16 20:07:50 UTC
Created attachment 153062 [details]
modifications to original submission, as recommended by Kubilay Kocak
Comment 4 Chris Hutchinson 2015-02-16 20:17:07 UTC
(In reply to Kubilay Kocak from comment #2)
> Thanks for your submission Christer,
> 
> Unless you're part of the upstream project for pgworksheet, I'm not sure the
> change added to pkg-descr is warranted. MAINTAINER=<email> already speaks to
> who the current maintainer is.
> 
> If you are indeed working with upstream, then it may be worth clarifying in
> pkg-descr that you are the 'port' maintainer, unless you intended something
> different.
Good advise. Thank you.
I have indicated my intention(s) upstream. Also; as the previous
WWW provides no support/indication for pgworksheet. pgworksheet
seemed better served having a page that reflects it's usage,
intentions, and support. So the change in the WWW seemed warranted.

> 
> Please update the patch accordingly, and if applicable.
Done, in new svn diff attached.
> 
> Also, if a port is unmaintained, you can use the term "Take MAINTAINERship"
> rather than "Request" maintainership. The latter implies an existing
> maintainer, and requires approval. The person committing the change should
> check for approval in any case.
Thank you, Kubilay Kocak. I appreciate the clarity you provided on
that, and will do so, going forward.

Thank you very much for all your help!

--Chris
Comment 5 commit-hook freebsd_committer 2015-02-26 15:10:43 UTC
A commit references this bug:

Author: robak
Date: Thu Feb 26 15:10:18 UTC 2015
New revision: 380014
URL: https://svnweb.freebsd.org/changeset/ports/380014

Log:
  databases/pgworksheet: set MAINTAINER and fixes

  - Set MAINTAINER to portmaster@BSDforge.com
  - Adjust pkg-descr text
  - Fix WWW url

  PR:		197557
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>

Changes:
  head/databases/pgworksheet/Makefile
  head/databases/pgworksheet/pkg-descr
Comment 6 Bartek Rutkowski freebsd_committer 2015-02-26 15:11:22 UTC
Committed, thanks for stepping up and taking care of that port!
Comment 7 Chris Hutchinson 2015-02-26 17:21:03 UTC
(In reply to Bartek Rutkowski from comment #6)
> Committed, thanks for stepping up and taking care of that port!

Thank you, for taking the time to work on this
with me, Bartek Rutkowski!

--Chris